<?php
// first of all we need to include the file that containts ComapApi class
include_once("api.class.php");

// the next step is api initialization
// put you login and password here
$login = "login";
$password = "password";

$api = new ComapApi($login, $password, "http://localhost:2000/comapping.n");

// you must specify xml handlers to process responses from server
// in this example we use a simple functions from api.xml_handlers that just print results
include_once("api.xml_handlers.php");
$api->xml_start_element_handler = "xml_start_element";
$api->xml_character_data_handler = "xml_character_data_handler";


// to see how api works fill the following vars with appropriate values;
// id of map to work with
$map_id = 0;
// id of some topic in the map
$topic_id  = 0;
// id of another topic in the map
$sec_topic_id = 1;

// user session creation
echo "Session is opening...";
$api->openSession();

// let's download the map as a comap file and save it as temp.comap
echo "<br>Saving map #" . $map_id . " ...";
$api->saveMap($map_id, "comap", "temp.comap");
echo "<br>Done<br>"; 

// let's remove all subtopics of the topic
echo "<br>Removing subtopics for topic #" . $topic_id . "...";
$api->removeSubtopics($topic_id, $map_id);

// let's change the topic
echo "<br>Changing topic content...";
$api->changeTopic($topic_id, "<node priority=\"1\"><text>We changed this topic</text></node>", $map_id);

// let's add a subtopic
echo "<br>Adding a subtopic...";
$api->addTopic($topic_id, "<node><text>This subtopic was added</text></node>", $map_id);

// let's move the second topic to be the first child of the first topic
echo "<br>Moving the topic... ";
$api->moveTopic($sec_topic_id, $topic_id, 0, $map_id);

// let's remove the second topic and its subtree now
echo "<br>Removing the topic...";
$api->removeTopic($sec_topic_id, $map_id);

// finally let's share the map with user user1@comapping.com and unshare it with user user2@comapping.com
echo "<br>Changing permissions...";
$users = array();
$users[] = new UserInfo("user1@comapping.com", "user1@comapping.com", "edit");
$users[] = new UserInfo("user2@comapping.com", "user2@comapping.com", "none");
$api->changePermissions($users, "hi, I've shared a map with you", $map_id);
?>